<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ExEmbedAtom (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExEmbedAtom (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExEmbedAtom.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/ExEmbed.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/ExHyperlink.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/ExEmbedAtom.html" target="_top">Frames</a>
        </li>
        <li><a href="ExEmbedAtom.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.record</div>
    <h2 title="Class ExEmbedAtom" class="title">Class ExEmbedAtom</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                       title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.Record</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                               title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.RecordAtom</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hslf.record.ExEmbedAtom</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">ExEmbedAtom</span>
extends <a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html" title="class in org.apache.poi.hslf.record">RecordAtom</a></pre>
                <div class="block">The atom that holds metadata on a specific embedded object in the document.

                    <!--
                    0    sint4    followColorScheme  This field indicates how the object follows the color scheme. Valid values are:
                                                     0 - doesn't follow the color scheme
                                                     1 - follows the entire color scheme
                                                     2 - follows the text and background scheme

                    4    bool1    cantLockServerB    Set if the embedded server can not be locked
                    5    bool1    noSizeToServerB    Set if don't need to send the dimension to the embedded object
                    6    Bool1    isTable            Set if the object is a Word table
                    --></div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Daniel Noll</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#DOES_NOT_FOLLOW_COLOR_SCHEME">DOES_NOT_FOLLOW_COLOR_SCHEME</a></span></code>
                                    <div class="block">Embedded document does not follow the color scheme.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#FOLLOWS_ENTIRE_COLOR_SCHEME">FOLLOWS_ENTIRE_COLOR_SCHEME</a></span></code>
                                    <div class="block">Embedded document follows the entire color scheme.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#FOLLOWS_TEXT_AND_BACKGROUND_SCHEME">FOLLOWS_TEXT_AND_BACKGROUND_SCHEME</a></span></code>
                                    <div class="block">Embedded document follows the text and background scheme.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a href="../../../../../org/apache/poi/hslf/record/Record.html#logger">logger</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#ExEmbedAtom--">ExEmbedAtom</a></span>()</code>
                                    <div class="block">Constructs a brand new embedded object atom record.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#ExEmbedAtom-byte:A-int-int-">ExEmbedAtom</a></span>(byte[]&nbsp;source,
                                    int&nbsp;start,
                                    int&nbsp;len)</code>
                                    <div class="block">Constructs the embedded object atom record from its source
                                        data.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#getCantLockServerB--">getCantLockServerB</a></span>()</code>
                                    <div class="block">Gets whether the embedded server cannot be locked.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#getFollowColorScheme--">getFollowColorScheme</a></span>()</code>
                                    <div class="block">Gets whether the object follows the color scheme.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#getIsTable--">getIsTable</a></span>()</code>
                                    <div class="block">Getswhether the object is a Word table.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#getNoSizeToServerB--">getNoSizeToServerB</a></span>()</code>
                                    <div class="block">Gets whether it is not required to send the dimensions to the
                                        embedded object.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#getRecordType--">getRecordType</a></span>()</code>
                                    <div class="block">Gets the record type.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#setCantLockServerB-boolean-">setCantLockServerB</a></span>(boolean&nbsp;cantBeLocked)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#writeOut-java.io.OutputStream-">writeOut</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Write the contents of the record back, so it can be written
                                        to disk
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.RecordAtom">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                                        title="class in org.apache.poi.hslf.record">RecordAtom</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html#getChildRecords--">getChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html#isAnAtom--">isAnAtom</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html#buildRecordAtOffset-byte:A-int-">buildRecordAtOffset</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#createRecordForType-long-byte:A-int-int-">createRecordForType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#findChildRecords-byte:A-int-int-">findChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-int-java.io.OutputStream-">writeLittleEndian</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-short-java.io.OutputStream-">writeLittleEndian</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="DOES_NOT_FOLLOW_COLOR_SCHEME">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DOES_NOT_FOLLOW_COLOR_SCHEME</h4>
                                <pre>public static final&nbsp;int DOES_NOT_FOLLOW_COLOR_SCHEME</pre>
                                <div class="block">Embedded document does not follow the color scheme.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.ExEmbedAtom.DOES_NOT_FOLLOW_COLOR_SCHEME">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FOLLOWS_ENTIRE_COLOR_SCHEME">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FOLLOWS_ENTIRE_COLOR_SCHEME</h4>
                                <pre>public static final&nbsp;int FOLLOWS_ENTIRE_COLOR_SCHEME</pre>
                                <div class="block">Embedded document follows the entire color scheme.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.ExEmbedAtom.FOLLOWS_ENTIRE_COLOR_SCHEME">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FOLLOWS_TEXT_AND_BACKGROUND_SCHEME">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FOLLOWS_TEXT_AND_BACKGROUND_SCHEME</h4>
                                <pre>public static final&nbsp;int FOLLOWS_TEXT_AND_BACKGROUND_SCHEME</pre>
                                <div class="block">Embedded document follows the text and background scheme.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.ExEmbedAtom.FOLLOWS_TEXT_AND_BACKGROUND_SCHEME">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ExEmbedAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ExEmbedAtom</h4>
                                <pre>protected&nbsp;ExEmbedAtom()</pre>
                                <div class="block">Constructs a brand new embedded object atom record.</div>
                            </li>
                        </ul>
                        <a name="ExEmbedAtom-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ExEmbedAtom</h4>
                                <pre>protected&nbsp;ExEmbedAtom(byte[]&nbsp;source,
                      int&nbsp;start,
                      int&nbsp;len)</pre>
                                <div class="block">Constructs the embedded object atom record from its source data.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>source</code> - the source data as a byte array.</dd>
                                    <dd><code>start</code> - the start offset into the byte array.</dd>
                                    <dd><code>len</code> - the length of the slice in the byte array.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFollowColorScheme--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFollowColorScheme</h4>
                                <pre>public&nbsp;int&nbsp;getFollowColorScheme()</pre>
                                <div class="block">Gets whether the object follows the color scheme.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>one of <a
                                            href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#DOES_NOT_FOLLOW_COLOR_SCHEME"><code>DOES_NOT_FOLLOW_COLOR_SCHEME</code></a>,
                                        <a href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#FOLLOWS_ENTIRE_COLOR_SCHEME"><code>FOLLOWS_ENTIRE_COLOR_SCHEME</code></a>,
                                        or
                                        <a href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html#FOLLOWS_TEXT_AND_BACKGROUND_SCHEME"><code>FOLLOWS_TEXT_AND_BACKGROUND_SCHEME</code></a>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCantLockServerB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCantLockServerB</h4>
                                <pre>public&nbsp;boolean&nbsp;getCantLockServerB()</pre>
                                <div class="block">Gets whether the embedded server cannot be locked.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the embedded server cannot be locked.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCantLockServerB-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCantLockServerB</h4>
                                <pre>public&nbsp;void&nbsp;setCantLockServerB(boolean&nbsp;cantBeLocked)</pre>
                            </li>
                        </ul>
                        <a name="getNoSizeToServerB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNoSizeToServerB</h4>
                                <pre>public&nbsp;boolean&nbsp;getNoSizeToServerB()</pre>
                                <div class="block">Gets whether it is not required to send the dimensions to the
                                    embedded object.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the embedded server does not require the object dimensions.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIsTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIsTable</h4>
                                <pre>public&nbsp;boolean&nbsp;getIsTable()</pre>
                                <div class="block">Getswhether the object is a Word table.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the object is a Word table.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecordType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordType</h4>
                                <pre>public&nbsp;long&nbsp;getRecordType()</pre>
                                <div class="block">Gets the record type.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#getRecordType--">getRecordType</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the record type.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeOut-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>writeOut</h4>
                                <pre>public&nbsp;void&nbsp;writeOut(java.io.OutputStream&nbsp;out)
              throws java.io.IOException</pre>
                                <div class="block">Write the contents of the record back, so it can be written
                                    to disk
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#writeOut-java.io.OutputStream-">writeOut</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - the output stream to write to.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExEmbedAtom.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/ExEmbed.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/ExHyperlink.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/ExEmbedAtom.html" target="_top">Frames</a>
        </li>
        <li><a href="ExEmbedAtom.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
